org.jfree.chart.labels

## Class ItemLabelAnchor

- java.lang.Object
- - org.jfree.chart.labels.ItemLabelAnchor

- All Implemented Interfaces:
    java.io.Serializable

      public final class ItemLabelAnchor
      extends java.lang.Object
      implements java.io.Serializable

  An enumeration of the positions that a value label can take, relative to an item in a `org.jfree.chart.plot.CategoryPlot`.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ItemLabelAnchor` | `CENTER` CENTER.
    `static ItemLabelAnchor` | `INSIDE1` INSIDE1.
    `static ItemLabelAnchor` | `INSIDE10` INSIDE10.
    `static ItemLabelAnchor` | `INSIDE11` INSIDE11.
    `static ItemLabelAnchor` | `INSIDE12` INSIDE12.
    `static ItemLabelAnchor` | `INSIDE2` INSIDE2.
    `static ItemLabelAnchor` | `INSIDE3` INSIDE3.
    `static ItemLabelAnchor` | `INSIDE4` INSIDE4.
    `static ItemLabelAnchor` | `INSIDE5` INSIDE5.
    `static ItemLabelAnchor` | `INSIDE6` INSIDE6.
    `static ItemLabelAnchor` | `INSIDE7` INSIDE7.
    `static ItemLabelAnchor` | `INSIDE8` INSIDE8.
    `static ItemLabelAnchor` | `INSIDE9` INSIDE9.
    `static ItemLabelAnchor` | `OUTSIDE1` OUTSIDE1.
    `static ItemLabelAnchor` | `OUTSIDE10` OUTSIDE10.
    `static ItemLabelAnchor` | `OUTSIDE11` OUTSIDE11.
    `static ItemLabelAnchor` | `OUTSIDE12` OUTSIDE12.
    `static ItemLabelAnchor` | `OUTSIDE2` OUTSIDE2.
    `static ItemLabelAnchor` | `OUTSIDE3` OUTSIDE3.
    `static ItemLabelAnchor` | `OUTSIDE4` OUTSIDE4.
    `static ItemLabelAnchor` | `OUTSIDE5` OUTSIDE5.
    `static ItemLabelAnchor` | `OUTSIDE6` OUTSIDE6.
    `static ItemLabelAnchor` | `OUTSIDE7` OUTSIDE7.
    `static ItemLabelAnchor` | `OUTSIDE8` OUTSIDE8.
    `static ItemLabelAnchor` | `OUTSIDE9` OUTSIDE9.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
    `java.lang.String` | `toString()` Returns a string representing the object.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CENTER

          public static final ItemLabelAnchor CENTER

      CENTER.

    - #### INSIDE1

          public static final ItemLabelAnchor INSIDE1

      INSIDE1.

    - #### INSIDE2

          public static final ItemLabelAnchor INSIDE2

      INSIDE2.

    - #### INSIDE3

          public static final ItemLabelAnchor INSIDE3

      INSIDE3.

    - #### INSIDE4

          public static final ItemLabelAnchor INSIDE4

      INSIDE4.

    - #### INSIDE5

          public static final ItemLabelAnchor INSIDE5

      INSIDE5.

    - #### INSIDE6

          public static final ItemLabelAnchor INSIDE6

      INSIDE6.

    - #### INSIDE7

          public static final ItemLabelAnchor INSIDE7

      INSIDE7.

    - #### INSIDE8

          public static final ItemLabelAnchor INSIDE8

      INSIDE8.

    - #### INSIDE9

          public static final ItemLabelAnchor INSIDE9

      INSIDE9.

    - #### INSIDE10

          public static final ItemLabelAnchor INSIDE10

      INSIDE10.

    - #### INSIDE11

          public static final ItemLabelAnchor INSIDE11

      INSIDE11.

    - #### INSIDE12

          public static final ItemLabelAnchor INSIDE12

      INSIDE12.

    - #### OUTSIDE1

          public static final ItemLabelAnchor OUTSIDE1

      OUTSIDE1.

    - #### OUTSIDE2

          public static final ItemLabelAnchor OUTSIDE2

      OUTSIDE2.

    - #### OUTSIDE3

          public static final ItemLabelAnchor OUTSIDE3

      OUTSIDE3.

    - #### OUTSIDE4

          public static final ItemLabelAnchor OUTSIDE4

      OUTSIDE4.

    - #### OUTSIDE5

          public static final ItemLabelAnchor OUTSIDE5

      OUTSIDE5.

    - #### OUTSIDE6

          public static final ItemLabelAnchor OUTSIDE6

      OUTSIDE6.

    - #### OUTSIDE7

          public static final ItemLabelAnchor OUTSIDE7

      OUTSIDE7.

    - #### OUTSIDE8

          public static final ItemLabelAnchor OUTSIDE8

      OUTSIDE8.

    - #### OUTSIDE9

          public static final ItemLabelAnchor OUTSIDE9

      OUTSIDE9.

    - #### OUTSIDE10

          public static final ItemLabelAnchor OUTSIDE10

      OUTSIDE10.

    - #### OUTSIDE11

          public static final ItemLabelAnchor OUTSIDE11

      OUTSIDE11.

    - #### OUTSIDE12

          public static final ItemLabelAnchor OUTSIDE12

      OUTSIDE12.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Returns a string representing the object.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        The string.

    - #### equals

          public boolean equals(java.lang.Object obj)

      Returns `true` if this object is equal to the specified object, and `false` otherwise.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the other object.
      Returns:
        A boolean.